Package org.apache.any23.extractor.microdata

## Class ItemProp

- java.lang.Object
- - org.apache.any23.extractor.microdata.Item
  - - org.apache.any23.extractor.microdata.ItemProp

-     public class ItemProp
      extends Item

  Describes a Microdata item property.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ItemProp​(String xpath, String name, ItemPropValue value)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getName()` |
    `ItemPropValue` | `getValue()` |
    `int` | `hashCode()` |
    `String` | `toJSON()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.any23.extractor.microdata.Item

      `getXpath`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemProp

          public ItemProp​(String xpath,
                          String name,
                          ItemPropValue value)

      Constructor.
      Parameters:
        `xpath` - item location in container document.
        `name` - item property name.
        `value` - item property value.

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the item property name.

    - #### getValue

          public ItemPropValue getValue()

      Returns:
        the item property value.

    - #### toJSON

          public String toJSON()

      Specified by:
        `toJSON` in class `Item`
      Returns:
        the JSON representation for this item.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Item`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Item`